rubygems- все статьи тега


Зависимости Установки Zurb Foundation + Bundler

Следуя этим инструкциям для запуска нескольких версий Foundation с Bundler, я смог создать новый проект с зависимостью 3.2.5 Вот мой Гемфайл: source "https://rubygems.org" gem "zurb-foundation", "3.2.5" gem "compass" Затем я запустил bundle exec compass create . -r zurb-foundation --using foundation, и он создал мой Gemfile.файл блокировки: GEM remote: https://rubygems.org/ specs: chunky_png (1.2.7) compass (0.12.2) chunky_png (~> 1.2) fssm (>= 0.2.7) ...

Как я могу удалить RVM (Ruby Version Manager) из моей системы?

Как я могу удалить RVM (Ruby Version Manager) из моей системы? ...

Как я могу указать локальный камень в моем Gemfile?

Я бы хотел, чтобы Bundler загрузил местный драгоценный камень. Есть ли вариант для этого? Или мне нужно переместить папку gem в нее .каталог пакетов? ...

не удалось установить pg gem

Я пробовал использовать gem install pg но это, кажется, не работает. gem install pg выдает эту ошибку Temporarily enhancing PATH to include DevKit... Building native extensions. This could take a while... ERROR: Error installing pg: ERROR: Failed to build gem native extension. C:/Ruby/bin/ruby.exe extconf.rb checking for pg_config... no No pg_config... trying anyway. If building fails, please try again with --with-pg-config=/path/to/pg_config checking for libpq-fe.h... no Can't fin ...

Настройка RSpec для тестирования драгоценного камня (не рельсы)

Это довольно легко с добавленным генератором rspec-rails для настройки RSpec для тестирования приложения Rails. Но как насчет добавления RSpec для тестирования драгоценного камня в разработке? Я не использую ювелира или такие инструменты. Я просто использовал упаковщик (bundle gem my_gem) для настройки структуры для нового драгоценного камня и редактирования *.gemspec вручную. Я также добавил s.add_development_dependency "rspec", ">= 2.0.0" к gemspec и сделал bundle install. есть ли хороший ...

Не удается найти клиентскую библиотеку PostgreSQL (libpq)

Я пытаюсь установить PostgreSQL для Rails на Mac OS X 10.6. Сначала я попробовал установить MacPorts, но это не очень хорошо, поэтому я сделал установку DMG одним щелчком мыши. Похоже, это сработало. Я подозреваю, что мне нужно установить пакеты разработки PostgreSQL, но я понятия не имею, как это сделать на OS X. вот что я получаю, когда я пытаюсь сделать sudo gem install pg: $ sudo gem install pg Building native extensions. This could take a while... ERROR: Error installing pg: ERROR: ...

Как на самом деле работают RVM и rbenv?

меня интересует, как RVM и rbenv на самом деле работают. очевидно, что они меняются между различными версиями Ruby и gemsets, но как это достигается? Я предполагал, что они просто обновляют символические ссылки, но, углубившись в код (и я должен признать, что мои знания о Bash поверхностны), они, похоже, делают больше, чем это. ...

Ubuntu rails установить не удается на zlib

Я только что перешел на Ubuntu 8.10 в качестве моего dev box; это мой первый серьезный набег на Linux в качестве ОС ежедневного использования, и мне трудно получить рельсы. Я следил за несколькими учебниками, которые все, кажется, работают нормально, но когда я пытаюсь использовать gem install или Gem update на что-либо, я получаю ошибку, которая выглядит так: /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- zlib (LoadError) fro ...

Используя опцию --No-RDoc и ... нет-Ри с помощью Bundler

при использовании gem install gem_name Я могу пройти --no-rdoc и --no-ri переключается, чтобы пропустить создание документации RDoc/RI для gem при установке. есть ли аналогичный способ сделать это с bundle install? ...

Добавление в каталог в $Path нагрузки (Рубин)

Я видел два часто используемых метода для добавления каталога файла, который в настоящее время выполняется в $LOAD_PATH (или $:). Я вижу преимущества этого в случае, если вы не работаете с драгоценным камнем. Одно кажется более многословным, чем другое, очевидно, но есть ли причина идти с одним над другим? первый, подробный метод (может быть перебор): $LOAD_PATH.unshift(File.expand_path(File.dirname(__FILE__))) unless $LOAD_PATH.include?(File.expand_path(File.dirname(__FILE__))) и более прос ...

Установить Gem из ветки Github?

в моем gemfile у меня есть это: gem "authlogic", :git => "git://github.com/odorcicd/authlogic.git", :branch => "rails3" Как мне установить это как драгоценный камень, чтобы я мог его проверить? ...

Как использовать драгоценные камни с Ubuntu?

Я недавно обновился до Ubuntu 9.04, и у меня есть проблемы с использованием драгоценных камней. Я установил Ruby, Rubygems и Rails с помощью apt-get. Элемент работает. затем я установил capistrano и другие драгоценные камни, такие как heroku. Для этого я использовал команду: sudo gem install XXX когда я хочу использовать cap команда не работает: bash: cap: command not found это то же самое с другими командами камень. у меня что-то конкретное сделать, так что камень команды работают? ...

Не удалось создать собственное расширение gem-Rails install

я устанавливал Ruby on Rails на основе инструкции из онлайн-класса edX. вот список команд терминала, и, где это уместно, соответствующий вывод: $ sudo apt-get install ruby1.9.1 установки $ wget http://production.cf.rubygems.org/rubygems/rubygems-1.8.24.tgz $ tar zxvf ruby-1.8.24.tgz $ cd ruby-1..8.24 $ sudo ruby setup.rb RubyGems 1.8.24 installed == 1.8.24 / 2012-04-27 * 1 bug fix: * Install the .pem files properly. Fixes #320 * Remove OpenSSL dependency from the http code path --- ...

камень установить пг-с-ПГ-config работает, связка не

WhenI run (как root) gem install pg -v '0.12.0' -- --with-pg-config=/usr/pgsql-9.1/bin/pg_config Я получаю следующий вывод: #-> gem instal pg -v '0.12.0' -- --with-pg-config=/usr/pgsql-9.1/bin/pg_config Building native extensions. This could take a while... Successfully installed pg-0.12.0 1 gem installed Installing ri documentation for pg-0.12.0... Installing RDoc documentation for pg-0.12.0... #-> когда я запускаю bundle install: Installing pg (0.12.0) with native extensions ...

gem install fails with openssl failure

Я пытался установить cocoapods (http://cocoapods.org/) на моем OSX Mountain Lion. moshe-mbp:~ moshem$ gem install cocoapods ERROR: Could not find a valid gem 'cocoapods' (>= 0), here is why: Unable to download data from https://rubygems.org/ - SSL_connect returned=1 errno=0 state=SSLv3 read server key exchange B: bad ecpoint (https://rubygems.org/latest_specs.4.8.gz) сначала я пробовал rvm reinstall all --force затем я попробовал brew upgrade openssl ==> Upgrad ...

ошибка установки nokogiri gem

Я знаю, что есть много вопросов об этом драгоценном камне, но ни один ответ не работал для меня. когда я бегу в SSH gem install nokogiri Я получаю эту ошибку: Extracting libxml2-2.8.0.tar.gz into tmp/x86_64-unknown-linux-gnu/ports/libxml2/2.8.0... OK Running patch with /home/user58952277/.gem/ruby/1.9.3/gems/nokogiri-1.6.2.1/ports/patches/libxml2/0001-Fix-parser-local-buffers-size-problems.patch... Running 'patch' for libxml2 2.8.0... ERROR, review 'tmp/x86_64-unknown-linux-gnu/ports/libxml2/2 ...

Как использовать RVM и создавать глобально доступные драгоценные камни?

Я запускаю Mac OSX 10.6.4 и установил RVM. Это было здорово до сих пор, мне очень нравится, как он позволяет мне управлять несколькими версиями rails и ruby на одной машине без головной боли! однако я не хочу устанавливать определенные драгоценные камни (например, пассажирские) для каждой настройки. Есть ли способ поделиться драгоценными камнями между наборами драгоценных камней? У меня есть 1.8.7@rails2.3.8 и 1.9.2@rails3, могу ли я иметь драгоценные камни, такие как passenger, mysql и capis ...

Вручную повторите задание в отложенном задании

Delayed:: функция автоматического повтора задания отличная, но есть задание, которое я хочу повторить вручную сейчас. Есть ли метод, который я могу вызвать на самой работе, как... Delayed::Job.all[0].perform или беги, или еще что-нибудь. Я попробовал несколько вещей и прочесал документацию, но не мог понять, как выполнить ручную попытку задания. ...

Как я могу получить RubyGems 1.3.6 на Ubuntu 10.4

Я только что установил новую виртуальную машину (VirtualBox) с Ubuntu 10.4 и Ruby1.9.1. У меня есть пакет для RUbyGems1.9.1 но когда я делаю gem --version я все еще получаю 1.3.5. ...

Операция не разрешена - /usr/bin / update rubygems

когда я выполняю на osx El Capitan: sudo gem update --system Я получил ошибку: Updating rubygems-update ERROR: While executing gem ... (Errno::EPERM) Operation not permitted - /usr/bin/update_rubygems ...